Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.style
Class XSLVariableDeclaration

    java.lang.Object
      net.sf.saxon.tree.NodeImpl
          net.sf.saxon.tree.ElementImpl
              net.sf.saxon.tree.ElementWithAttributes
                  net.sf.saxon.style.StyleElement
                      net.sf.saxon.style.XSLGeneralVariable
                          net.sf.saxon.style.XSLVariableDeclaration

All Implemented Interfaces:
  Source, SourceLocator, LocationProvider, SaxonLocator, Container, VariableDeclaration, FingerprintedNode, Item, NodeInfo, ValueRepresentation, StylesheetProcedure, InstructionInfo, Locator

Direct Known Subclasses:
  XSLParam, XSLVariable

    public abstract class XSLVariableDeclaration

extends XSLGeneralVariable
implements VariableDeclaration, StylesheetProcedure

Generic class for xsl:variable and xsl:param elements.

Field Summary

Fields inherited from class net.sf.saxon.style.StyleElement
`REPORT_ALWAYS, REPORT_IF_INSTANTIATED, REPORT_UNLESS_FALLBACK_AVAILABLE, REPORT_UNLESS_FORWARDS_COMPATIBLE`

Fields inherited from class net.sf.saxon.tree.NodeImpl
`NODE_LETTER`

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, EMPTY_NAMESPACE_LIST, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Constructor Summary
`XSLVariableDeclaration()`

Method Summary
`void` | `addChild(NodeImpl node, int index)` Add a child node to this node.
`void` | `compact(int size)` Compact the space used by this node
`AxisIterator` | `enumerateChildren(NodeTest test)` Get an enumeration of the children of this node
`void` | `fixupReferences()` Notify all references to this variable of the data type
`NodeInfo` | `getFirstChild()` Get the first child node of the element
`NodeInfo` | `getLastChild()` Get the last child node of the element
`List` | `getReferenceList()` Get the list of references
`List` | `getReferences()` Get the list of references to this variable or parameter.
`abstract SequenceType` | `getRequiredType()` Get the static type of the variable.
`SlotManager` | `getSlotManager()` Get the SlotManager associated with this stylesheet construct.
`int` | `getSlotNumber()`
`String` | `getStringValue()` Return the string-value of the node, that is, the concatenation of the character content of all descendent elements and text nodes.
`CharSequence` | `getStringValueCS()` Get the value of the item as a CharSequence.
`boolean` | `hasChildNodes()` Determine if the node has any children.
`boolean` | `isInstruction()` Determine whether this node is an instruction.
`void` | `registerReference(BindingReference ref)` Method called by VariableReference to register the variable reference for subsequent fixup
`void` | `setSlotNumber(int slot)`
`void` | `useChildrenArray(NodeImpl[] array)` Supply an array to be used for the array of children.
`void` | `validate()` Check that the variable is not already declared, and allocate a slot number

Methods inherited from class net.sf.saxon.style.XSLGeneralVariable
`getConstructType, getVariableFingerprint, getVariableName, isAssignable, isGlobal, isRequiredParam, isTunnelParam, mayContainSequenceConstructor, prepareAttributes, setRedundant`

Methods inherited from class net.sf.saxon.style.StyleElement
`allocateLocationId, allocatePatternSlots, allocateSlots, allocateSlots, backwardsCompatibleModeIsEnabled, bindVariable, checkEmpty, checkTopLevel, checkWithinTemplate, compile, compileSequenceConstructor, forwardsCompatibleModeIsEnabled, getAttributeValue, getContainingSlotManager, getContainingStylesheet, getExecutable, getHostLanguage, getLineNumber, getLineNumber, getLocationProvider, getNamespaceResolver, getObjectFingerprint, getObjectNameCode, getPrecedence, getPreparedStylesheet, getProperties, getProperty, getSchemaType, getStaticContext, getStylesheetFunction, getSystemId, getTargetNamePool, getTypeAnnotation, getVersion, isExcludedNamespace, isExtensionNamespace, isTopLevel, makeAttributeValueTemplate, makeExpression, makeNameCode, makeNamespaceContext, makePattern, makeSequenceType, markTailCalls, mayContainFallback, postValidate, processAllAttributes, processAttributes, replaceSubExpression, reportAbsence, setLineNumber, setObjectNameCode, substituteFor, typeCheck, typeCheck, validateSubtree`

Methods inherited from class net.sf.saxon.tree.ElementWithAttributes
`copy, getAttributeList, getAttributeValue, getDeclaredNamespaces, getInScopeNamespaceCodes, getPrefixForURI, getURICodeForPrefix, getURIForPrefix, initialise, iteratePrefixes, sendNamespaceDeclarations, setNamespaceDeclarations`

Methods inherited from class net.sf.saxon.tree.ElementImpl
`generateId, getBaseURI, getDocumentRoot, getNameCode, getNodeKind, getRoot, getSystemId, setNameCode, setSystemId`

Methods inherited from class net.sf.saxon.tree.NodeImpl
`atomize, compareOrder, equals, getColumnNumber, getConfiguration, getDisplayName, getDocumentNumber, getFingerprint, getLocalPart, getNamePool, getNextInDocument, getNextSibling, getParent, getPrefix, getPreviousInDocument, getPreviousSibling, getPublicId, getTypeAnnotation, getTypedValue, getURI, hashCode, isSameNodeInfo, iterateAxis, iterateAxis`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.expr.VariableDeclaration
`getNameCode, getVariableName`

Methods inherited from interface net.sf.saxon.trace.InstructionInfo
`getSystemId`

Constructor Detail

### XSLVariableDeclaration

    public XSLVariableDeclaration()

Method Detail

### getSlotManager

    public SlotManager getSlotManager()

  Get the SlotManager associated with this stylesheet construct. The SlotManager contains the information needed to manage the local stack frames used by run-time instances of the code.

  Specified by:
    `getSlotManager` in interface `StylesheetProcedure`
  Returns:
    the associated SlotManager object

### getSlotNumber

    public int getSlotNumber()

### setSlotNumber

    public void setSlotNumber(int slot)

### getRequiredType

    public abstract SequenceType getRequiredType()

  Get the static type of the variable.

### registerReference

    public void registerReference(BindingReference ref)

  Method called by VariableReference to register the variable reference for subsequent fixup

  Specified by:
    `registerReference` in interface `VariableDeclaration`

### getReferences

    public List getReferences()

  Get the list of references to this variable or parameter. The items in the list are of class BindingReference.

### isInstruction

    public boolean isInstruction()

  Determine whether this node is an instruction.

  Overrides:
    `isInstruction` in class `StyleElement`
  Returns:
    true - it is an instruction (well, it can be, anyway)

### getReferenceList

    public List getReferenceList()

  Get the list of references

### fixupReferences

    public void fixupReferences()
                         throws XPathException

  Notify all references to this variable of the data type

  Overrides:
    `fixupReferences` in class `StyleElement`
  Throws:
    `XPathException`

### validate

    public void validate()
                  throws XPathException

  Check that the variable is not already declared, and allocate a slot number

  Overrides:
    `validate` in class `XSLGeneralVariable`
  Throws:
    `XPathException`

### hasChildNodes

    public final boolean hasChildNodes()

  Determine if the node has any children.

  Specified by:
    `hasChildNodes` in interface `NodeInfo`
  Overrides:
    `hasChildNodes` in class `NodeImpl`
  Returns:
    `true` if the node has any children, `false` if the node has no children.

### enumerateChildren

    public final AxisIterator enumerateChildren(NodeTest test)

  Get an enumeration of the children of this node

  Parameters:
    `test` - A NodeTest to be satisfied by the child nodes, or null if all child node are to be returned

### getFirstChild

    public final NodeInfo getFirstChild()

  Get the first child node of the element

  Overrides:
    `getFirstChild` in class `NodeImpl`
  Returns:
    the first child node of the required type, or null if there are no children

### getLastChild

    public final NodeInfo getLastChild()

  Get the last child node of the element

  Overrides:
    `getLastChild` in class `NodeImpl`
  Returns:
    the last child of the element, or null if there are no children

### getStringValue

    public String getStringValue()

  Return the string-value of the node, that is, the concatenation of the character content of all descendent elements and text nodes.

  Returns:
    the accumulated character content of the element, including descendant elements.
  See Also:
    `Item.getStringValueCS()`

### getStringValueCS

    public CharSequence getStringValueCS()

  Description copied from class: `NodeImpl`
  Get the value of the item as a CharSequence. This is in some cases more efficient than the version of the method that returns a String.

  Specified by:
    `getStringValueCS` in interface `Item`
  Specified by:
    `getStringValueCS` in interface `ValueRepresentation`
  Overrides:
    `getStringValueCS` in class `NodeImpl`
  Returns:
    the string value of the item
  See Also:
    `Item.getStringValue()`

### useChildrenArray

    public void useChildrenArray(NodeImpl[] array)

  Supply an array to be used for the array of children. For system use only.

### addChild

    public void addChild(NodeImpl node,
                         int index)

  Add a child node to this node. For system use only. Note: normalizing adjacent text nodes is the responsibility of the caller.

### compact

    public void compact(int size)

  Compact the space used by this node

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.